<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Category; 
use DB; 
use Brian2694\Toastr\Facades\Toastr;

class CategoryController extends Controller
{
    //

    public function index()
    {
        $categories = category::all();

        return view('categorie.index', compact('categories')); 
    }

    public function store(Request $request)
    {
        //dd($request); 
        $request->validate([
            'name_categorie'   => 'required|string',
        ]);

        DB::beginTransaction();
        try{
            $category = new Category;
     
            $category->name = $request->name_categorie;
     
            $category->save();

            DB::commit();
            Toastr::success('Catégorie ajouté avec succée :)','Success');

            return redirect()->route('categorie');
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Opération echouée :)','Error');
            return redirect()->back();
        }
    }

    public function update(Request $request)
    {
        DB::beginTransaction();
        
        try {

            $update = [
                'name'  => $request->name_categorie_update,
            ];
             
            Category::where('id', $request->id_categorie_update)->update($update);
            DB::commit();

            Toastr::success('Mise à jour article effectué avec succée :)','Success');
            return redirect()->back();
        } catch(\Exception $e) {
            DB::rollback();
            Toastr::error('Opération échouée :)','Error');
            return redirect()->back(); 
        }
    }

    public function delete(Request $request)
    {
        DB::beginTransaction(); 
       
        try{
            /*$washing = Washing::where('category_id', '=', $request->id_category_delete)->get(); 
             
            if($washing->count() != 0)
            {
                foreach($washing as $w)
                {
                    Washing::destroy($w->id); 
                }
            }*/

            Category::destroy($request->id_category_delete);
            
            Toastr::success('Catégorie supprimé avec succée :)','Success');

            return redirect()->back();
        
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Echec de l\'opération :)','Error');
            return redirect()->back();
        }
    }
}
