<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Product; 
use App\Stock; 
use App\Category; 
use DB;
use Brian2694\Toastr\Facades\Toastr;

class ProduitController extends Controller
{
    //

    public function index()
    {
        $produits = Product::all(); 
        $categories = Category::all(); 

        return view('produit.index', compact('produits', 'categories'));
    }

    public function store(Request $request)
    {
        //dd($request); 
        $request->validate([
            'photo'         => 'required|file',
            'categorie'     => 'required',
            'nam'       => 'required|string', 
            'price'          => 'required',
            'description'   => 'required',
            'surface' => 'required',
            'surface' => 'required' 
        ]);
           
        $data = null;
        if($request->hasFile('photo')) {
            $photo = $request->file('photo'); 
            $name = time() . '_' . $photo->getClientOriginalName();
            $photo->move('img', $name);
            $data[] = $name;
            
        }
        DB::beginTransaction();
        try{
            
            $produit = Product::create([
                'photo' =>  json_encode($data),
                'user_id' => 1,
                'category_id' => $request->categorie,
                'deal_id' => 1,
                'brand' => 'brand',
                'name' => $request->nam,
                'price' => $request->price,
                'description' => $request->description,
                'details' =>  $request->details
            ]); 

            Stock::create([
                'product_id' => $produit->id,
                'size' => $request->surface,
                'color' => $request->lieu,
                'quantity' => 20
            ]);
           
            DB::commit();
            Toastr::success('Produit ajouté avec succée :)','Succés');

            return redirect()->route('produit');
        }catch(\Exception $e){
            DB::rollback();
            Toastr::error('Opération echouée :)','Erreur');
            return redirect()->back();
        }
    }
}
