import React, { useEffect, Component } from 'react'

import Slider from "react-slick";
import "slick-carousel/slick/slick.css"; 
import "slick-carousel/slick/slick-theme.css";

import '../../../css/tailwind.css'
import gsap from 'gsap'; 


export default class Collections extends Component {
	constructor() {
		super(); 
		this.next = this.next.bind(this);
		this.previous = this.previous.bind(this);
	  }
	  next() {
		this.slider.slickNext();
	  }
	  previous() {
		this.slider.slickPrev();
	  }
	 
	  componentDidMount(){
		gsap.fromTo(".text-hero", {
		  opacity: 0, 
		  x: 0,
		  ease: "expo",
		  duration: 2
		},
		{
		  opacity: 1, 
		  delay: 1,
		  x: 40,
		  ease: "expo",
		  duration: 2
		}) 
		
		gsap.fromTo(".btn-hero-left", {
		  opacity: 0, 
		  x: 0,
		  ease: "expo",
		  duration: 2
		},
		{
		  opacity: 1, 
		  x: 40,
		  ease: "expo",
		  delay: 2,
		  duration: 2
		}) 
	
		gsap.fromTo(".btn-hero-right", {
		  opacity: 0, 
		  x: 80,
		  ease: "expo",
		  duration: 2
		},
		{
		  opacity: 1, 
		  x: 50,
		  ease: "expo",
		  delay: 2.4,
		  duration: 2
		}) 
	  }
	  render(){
		const settings = {
		  infinite: true,
		  speed: 500,
		  autoplaySpeed: 5000,
		  slidesToShow: 1,
		  autoplay: true, 
		  slidesToScroll: 1,
		  fade: true,
		  beforeChange: () =>  {
			 gsap.fromTo(".text-hero", {
			  opacity: 0, 
			  x: 0,
			  ease: "expo",
			  duration: 2
			},
			{
			  opacity: 1, 
			  x: 40,
			  ease: "expo",
			  duration: 2
			}) 
	
			gsap.fromTo(".btn-hero-left", {
			  opacity: 0, 
			  x: 0,
			  ease: "expo",
			},
			{
			  delay: 1,
			  opacity: 1, 
			  x: 40,
			  ease: "expo",
			}) 
		  
			gsap.fromTo(".btn-hero-right", {
			  opacity: 0, 
			  x: 80,
			  ease: "expo",
			},
			{
			  delay: 1.5,
			  opacity: 1, 
			  x: 50,
			  ease: "expo",
			})  
			
		  }, 
		}
		return (
		  <div>
			<Slider ref={c => (this.slider = c)} {...settings}>
			<div>
				<h3> 
				<div className="slide1 flex bg-center bg-cover items-center h-screen" >

					<div className="flex flex-col lg:ml-20 sm:ml-20 mt-10 w-2/3">
					<div className="text-hero">
						<h1 className=" flex lg:text-8xl sm:text-6xl font-bold text-4xl   text-white hover:text-white duration-300">
							VOTRE TERRAIN A DIASS
						</h1>
						<br/>
						<p className="flex lg:text-2xl sm:text-xl font-semibold text-white">
							A partir de 2000.000 FCFA 
						</p>
					</div>
					{/**
						<div className="flex flex-row mt-5"> 
							<a className="button-services px-10 py-3 font-semibold btn-hero-left"> Voire </a>

						</div>
					*/}
					</div>
				</div>
				</h3>
			</div>
			<div>
			<h3> 
				<div className="slide2 flex bg-center bg-cover items-center h-screen" >

					<div className="flex flex-col lg:ml-20 sm:ml-20 mt-10 w-2/3">
					<div className="text-hero">
						<h1 className=" flex lg:text-8xl sm:text-6xl font-bold text-4xl   text-white hover:text-white duration-300">
							VOTRE TERRAIN A PALLAL
						</h1>
						<br/>
						<p className="flex lg:text-2xl sm:text-xl font-semibold text-white">
							A partir de 2000.000 FCFA 
						</p>
					</div>
					{/**
						<div className="flex flex-row mt-5"> 
							<a className="button-services px-10 py-3 font-semibold btn-hero-left">  Voire </a>
						
						</div>
					 */}	
					</div>
				</div>
				</h3>
			</div>
			<div>
			<h3> 
				<div className="slide3 flex bg-center bg-cover items-center h-screen" >

					<div className="flex flex-col lg:ml-20 sm:ml-20 mt-10 w-2/3">
					<div className="text-hero">
						<h1 className=" flex lg:text-8xl sm:text-6xl font-bold text-4xl   text-white hover:text-white duration-300">
							VOTRE TERRAIN A THICKY
						</h1>
						<br/>
						<p className="flex lg:text-2xl sm:text-xl font-semibold text-white">
							A partir de 2000.000 FCFA 
						</p>
					</div>
					
					{/**
						<div className="flex flex-row mt-5"> 
							<a className="button-services px-10 py-3 font-semibold btn-hero-left">  Voire </a>

						</div>
					*/}
					</div>
				</div>
				</h3>
			</div>
		
		
			</Slider>
		
			<div style={{ position: 'absolute', top: '50%',  textAlign: "center", width: '100%'}}>
				<button className="arrow arrow-left" onClick={this.previous}>
					<svg xmlns="http://www.w3.org/2000/svg" className="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor">
					<path strokeLinecap="round" strokeLinejoin="round" strokeWidth={2} d="M15 19l-7-7 7-7" />
					</svg>
				</button>
				<button className="arrow arrow-right" onClick={this.next}>
					<svg xmlns="http://www.w3.org/2000/svg" className="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor">
					<path strokeLinecap="round" strokeLinejoin="round" strokeWidth={2} d="M9 5l7 7-7 7" />
					</svg>
				</button>
			</div>
		  </div>
		);
	  }
}
