import React, { useState,useRef, useEffect } from 'react';
import Axios from 'axios'


const Section = () => {

	
	 const [endDate, setEndDate] = useState('');
	 const [timerDays, setTimerDays] = useState('00');
	 const [timerHours, setTimerHours] = useState('00');
	 const [timerMinutes, setTimerMinutes] = useState('00');
	 const [timerSeconds, setTimerSeconds] = useState('00');

	 let interval = useRef();

	 const startTimer = ()=>{
		 const countDownDate = new Date(endDate).getTime();

		 interval = setInterval(()=>{
			 const now = new Date().getTime();
			 const distance = countDownDate-now;

			 const days = Math.floor(distance / (1000 *60*60*24));
			 const hours = Math.floor(distance % (1000 *60*60*24) / (1000*60*60));
			 const minutes = Math.floor((distance % (1000 *60*60)) / (1000*60));
			 const seconds = Math.floor(distance % ((1000 *60)) / 1000);

			 if(distance < 0){
				//stop
				clearInterval(interval.current);
			 }else {
			   //update
			   setTimerDays(days);
			   setTimerHours(hours);
			   setTimerMinutes(minutes);
			   setTimerSeconds(seconds);
				  
			 }

		 },1000);
	 }

	 useEffect(()=>{
		if(!endDate) {
			Axios.get('/api/product/hot-deal').then(result => {
				setEndDate(result.data.ends)
			}).catch(error => {
				console.log(error)
			})
		}

		if(endDate) {
			startTimer();
			return () => {
				clearInterval(interval.current);
			}
		}
	 })


	return(

    <div id="hot-deal" className="section">
			
			<div className="container">
			
				<div className="row">
					<div className="col-md-12">
						<div className="hot-deal">
							<ul className="hot-deal-countdown">
								<li style={{ marginRight: '50px'}}>
									<div>
	                                    <h3>Accompagnement</h3>
										<span>Vous serez accompagné pour l'acquisition de vos terrains</span>
									</div>
								</li>
								<li style={{ marginRight: '50px'}}>
									<div>
									<h3>Démarche</h3>
                                    <span>Nous effectuons les démarhes administratives pour vous</span>
									</div>
								</li>
								<li style={{ marginRight: '50px'}}>
									<div>
	                                <h3>Paiement</h3>
                                    <span>Vous aurez la possibilité de payer sur plusieurs mois</span>
									</div>
								</li>
								<li style={{ marginRight: '50px'}}>
									<div>
									<h3>Construction</h3>
										<span>Vous serez accompagner pour la construction de votre futur maison.</span>
									</div>
								</li>
							</ul>
						
						</div>
					</div>
				</div>
			
			</div>
			
		</div>
	)}


export default Section