@extends('layouts.master')
@section('content')

    <!-- Page Wrapper -->
    <div class="page-wrapper">
        <!-- Page Content -->
        <div class="content container-fluid">
            <!-- Page Header -->
            <div class="page-header">
                <div class="row align-items-center">
                    <div class="col">
                        <h3 class="page-title">Facture <span id="year"></span></h3>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{ route('home') }}">Dashboard</a></li>
                            <li class="breadcrumb-item active">Facture</li>
                        </ul>
                    </div>
                    <div class="col-auto float-right ml-auto">
                        <a href="#" class="btn add-btn" data-toggle="modal" data-target="#add_leave"><i class="fa fa-plus"></i> Ajouter une Facture</a>
                    </div>
                </div>
            </div>
            <!-- Leave Statistics -->
            <!--
                <div class="row">
                    <div class="col-md-3">
                        <div class="stats-info">
                            <h6>Today Presents</h6>
                            <h4>12 / 60</h4>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="stats-info">
                            <h6>Planned Leaves</h6>
                            <h4>8 <span>Today</span></h4>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="stats-info">
                            <h6>Unplanned Leaves</h6>
                            <h4>0 <span>Today</span></h4>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="stats-info">
                            <h6>Pending Requests</h6>
                            <h4>12</h4>
                        </div>
                    </div>
                </div> 
            -->
            <!-- /Leave Statistics -->
            <!-- Search Filter -->
            <form action="{{ route('bill/search') }}" method="POST" class="row filter-row">
                @csrf
                <div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">  
                    <div class="form-group form-focus">
                        <input type="text" class="form-control floating" name="customer_search">
                        <label class="focus-label">Client</label>
                    </div>
                </div>
               
                <div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">  
                    <div class="form-group form-focus">
                        <div class="cal-icon">
                            <input class="form-control floating datetimepicker" type="text" name="date_search">
                        </div>
                        <label class="focus-label">Date</label>
                    </div>
                </div>

                <div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">  
                    <div class="form-group form-focus">
                        <input type="text" class="form-control floating" name="amount_search">
                        <label class="focus-label">Montant</label>
                    </div>
                </div>
               
                <div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">  
                    <div class="form-group form-focus select-focus">
                        <select class="select floating" name="status_search"> 
                            <option value=""> -- Selectionnez le statut -- </option>
                            <option value="Payé"> Payé</option>
                            <option value="Non Payé">Non Payé</option>
                        </select>
                        <label class="focus-label">Leave Type</label>
                    </div>
                </div>
               
                <div class="col-sm-6 col-md-3 col-lg-3 col-xl-2 col-12">  
                    <button type="submit" class="btn btn-success btn-block"> Rechercher </button>  
                </div>     
            </form>
            <!-- /Search Filter -->

			<!-- /Page Header -->
            {{-- message --}}
            {!! Toastr::message() !!}
            <div class="row">
                <div class="col-md-12">
                    <div class="table-responsive">
                        <table class="table table-striped custom-table mb-0 datatable">
                            <thead>
                                <tr>
                                    <th>Client</th>
                                    <th>Date</th>
                                    <th>Montant</th>
                                    <th>Status</th> 
                                    <th class="text-right">Actions</th>
                                </tr>
                            </thead>

                            <tbody>
                                @if(!empty($bills))
                                    @foreach ($bills as $b )  
                                        <tr>
                                            <td>{{ $b->customer->first_name . ' ' . $b->customer->last_name  }}</td>
                                            <td>{{ $b->date }}</td>
                                            <td> {{ $b->amount }} </td> 
                                            <td> {{ $b->status }} </td> 
                                            <td class="text-right">
                                                <div class="dropdown dropdown-action">
                                                    <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="material-icons">more_vert</i></a>
                                                    <div class="dropdown-menu dropdown-menu-right">
                                                        <a href="{{ route('bill/addArticle', ['id' => $b->id]) }}" class="dropdown-item leaveUpdate"><i class="fa fa-eye m-r-5"></i>Voire</a>
                                                        <a class="dropdown-item leaveDelete" href="#" data-toggle="modal" data-id_article_delete="{{ $b->id }}" data-target="#delete_approve"><i class="fa fa-trash-o m-r-5"></i> Supprimer</a>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    @endforeach
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </>
        <!-- /Page Content -->
       
        <!-- Add Leave Modal -->
        <div id="add_leave" class="modal custom-modal fade" role="dialog">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Ajouter une Facture </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="{{ route('bill/store') }}" method="POST">
                            @csrf
                            <input type="hidden" class="form-control" id="user_id" name="user_id" value="{{ Auth::user()->id }}">
                            <div class="form-group">
                                <label class="focus-label">Client</label>
                                <select class="select floating" name="customer_id"> 
                                    <option value=""> -- Selectionner un client -- </option>
                                    @foreach($customers as $c)
                                        <option value="{{ $c->id }}"> {{ $c->first_name . ' ' . $c->last_name . ' ' . $c->phone }}</option>
                                    @endforeach
                                </select>
                            </div> 
                            <div class="form-group">
                                <label>Date <span class="text-danger">*</span></label>
                                <div class="cal-icon">
                                    <input class="form-control datetimepicker" type="text" id="date" name="date">
                                </div>
                            </div>
                            <div class="form-group">
                                <label>Date Rémis<span class="text-danger">*</span></label>
                                <div class="cal-icon">
                                    <input class="form-control datetimepicker" type="text" id="date_remis" name="date_remis">
                                </div>
                            </div>
                            <div class="submit-section">
                                <button type="submit" class="btn btn-primary submit-btn">Confimer</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- /Add Leave Modal -->
				
        <!-- Edit Leave Modal -->
        <div id="edit_leave" class="modal custom-modal fade" role="dialog">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Edit Leave</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="{{ route('article/update') }}" method="POST">
                            @csrf
                            <input type="hidden" id="id_article_update" name="id_article_update">
                            <div class="form-group">
                                <label>Leave Type <span class="text-danger">*</span></label>
                                <select class="select" id="e_leave_type" name="leave_type">
                                    <option selected disabled>Select Leave Type</option>
                                    <option value="Casual Leave 12 Days">Casual Leave 12 Days</option>
                                    <option value="Medical Leave">Medical Leave</option>
                                    <option value="Loss of Pay">Loss of Pay</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>From <span class="text-danger">*</span></label>
                                <div class="cal-icon">
                                    <input type="text" class="form-control datetimepicker" id="e_from_date" name="from_date" value="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label>To <span class="text-danger">*</span></label>
                                <div class="cal-icon">
                                    <input type="text" class="form-control datetimepicker" id="e_to_date" name="to_date" value="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label>Number of days <span class="text-danger">*</span></label>
                                <input class="form-control" readonly type="text" id="e_number_of_days" name="number_of_days" value="">
                            </div>
                            <div class="form-group">
                                <label>Leave Reason <span class="text-danger">*</span></label>
                                <textarea rows="4" class="form-control" id="e_leave_reason" name="leave_reason" value=""></textarea>
                            </div>
                            <div class="submit-section">
                                <button type="submit" class="btn btn-primary submit-btn">Save</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- /Edit Leave Modal -->

        <!-- Approve Leave Modal -->
        <div class="modal custom-modal fade" id="approve_leave" role="dialog">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-body">
                        <div class="form-header">
                            <h3>Leave Approve</h3>
                            <p>Are you sure want to approve for this leave?</p>
                        </div>
                        <div class="modal-btn delete-action">
                            <div class="row">
                                <div class="col-6">
                                    <a href="javascript:void(0);" class="btn btn-primary continue-btn">Approve</a>
                                </div>
                                <div class="col-6">
                                    <a href="javascript:void(0);" data-dismiss="modal" class="btn btn-primary cancel-btn">Decline</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /Approve Leave Modal -->
        
        <!-- Delete Leave Modal -->
        <div class="modal custom-modal fade" id="delete_approve" role="dialog">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-body">
                        <div class="form-header">
                            <h3>Suppression Facture</h3>
                            <p>Etes-vous sûr de vouloir supprimer définitvement ?</p>
                        </div>
                        <div class="modal-btn delete-action">
                            <form action="{{ route('article/delete') }}" method="POST">
                                @csrf
                                <input type="hidden" name="id_article_delete" id="id_article_delete" >
                                <div class="row">
                                    <div class="col-6">
                                        <button type="submit" class="btn btn-primary continue-btn submit-btn">Supprimer</button>
                                    </div>
                                    <div class="col-6">
                                        <a href="javascript:void(0);" data-dismiss="modal" class="btn btn-primary cancel-btn">Annuler</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /Delete Leave Modal -->
    </div>
    <!-- /Page Wrapper -->
    @section('script')
       
        <script>
            document.getElementById("year").innerHTML = new Date().getFullYear();
        </script>
        {{-- update js --}}
        <script>
            $(document).on('click','.leaveUpdate',function()
            {
                var _this = $(this).parents('tr');
        
                $('#id_article_update').val($(this).data('id_article_update'));

                $('#e_number_of_days').val(_this.find('.day').text());
                $('#e_from_date').val(_this.find('.from_date').text());  
                $('#e_to_date').val(_this.find('.to_date').text());  
                $('#e_leave_reason').val(_this.find('.leave_reason').text());

                var leave_type = (_this.find(".leave_type").text());
                var _option = '<option selected value="' + leave_type+ '">' + _this.find('.leave_type').text() + '</option>'
                $( _option).appendTo("#e_leave_type");
            });
        </script>
        {{-- delete model --}}
        <script>
            $(document).on('click','.leaveDelete',function()
            {
                $('#id_article_delete').val($(this).data('id_article_delete'));
            });
        </script>
    @endsection
@endsection
